package com.jisco.dynamicweight.dynamicbasematerial.model;

import com.steerinfo.framework.model.IBasePO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.math.BigDecimal;
import java.util.Date;

@ApiModel(value="动态秤物料表")
public class DynamicBaseMaterial implements IBasePO<String> {
    /**
     * ID(MATERIAL_NO,VARCHAR,20)
     */
    @ApiModelProperty(value="ID",required=true)
    private String materialNo;

    /**
     * 物料名称(MATERIAL_NAME,VARCHAR,60)
     */
    @ApiModelProperty(value="物料名称",required=false)
    private String materialName;

    /**
     * 物料编码(MATERIAL_CODE,VARCHAR,60)
     */
    @ApiModelProperty(value="物料编码",required=false)
    private String materialCode;

    /**
     * PIKA物料名称(PIKA_MATERIAL_NAME,VARCHAR,60)
     */
    @ApiModelProperty(value="PIKA物料名称",required=false)
    private String pikaMaterialName;

    /**
     * 是否返粉(IS_RETURNED_DUST,DECIMAL,38)
     */
    @ApiModelProperty(value="是否返粉",required=true)
    private BigDecimal isReturnedDust;

    /**
     * 是否焦炭(IS_COKE,DECIMAL,0)
     */
    @ApiModelProperty(value="是否焦炭",required=true)
    private Short isCoke;

    /**
     * 备注(MEMO,VARCHAR,200)
     */
    @ApiModelProperty(value="备注",required=false)
    private String memo;

    /**
     * 状态（0：无效；1:有效）(VALID_FLAG,VARCHAR,1)
     */
    @ApiModelProperty(value="状态（0：无效；1:有效）",required=false)
    private String validFlag;

    /**
     * 创建人编号(CREATE_MAN_NO,VARCHAR,20)
     */
    @ApiModelProperty(value="创建人编号",required=false)
    private String createManNo;

    /**
     * 创建人姓名(CREATE_MAN_NAME,VARCHAR,30)
     */
    @ApiModelProperty(value="创建人姓名",required=false)
    private String createManName;

    /**
     * 创建时间（YYYY-MM-DD HH:mm:SS）(CREATE_TIME,TIMESTAMP,7)
     */
    @ApiModelProperty(value="创建时间（YYYY-MM-DD HH:mm:SS）",required=false)
    private Date createTime;

    /**
     * 修改人编号(UPDATE_MAN_NO,VARCHAR,20)
     */
    @ApiModelProperty(value="修改人编号",required=false)
    private String updateManNo;

    /**
     * 修改人姓名(UPDATE_MAN_NAME,VARCHAR,30)
     */
    @ApiModelProperty(value="修改人姓名",required=false)
    private String updateManName;

    /**
     * 修改时间（YYYY-MM-DD HH:mm:SS）(UPDATE_TIME,TIMESTAMP,7)
     */
    @ApiModelProperty(value="修改时间（YYYY-MM-DD HH:mm:SS）",required=false)
    private Date updateTime;

    private static final long serialVersionUID = 1L;

    @Override
    public String getId() {
        return this.materialNo;
    }

    @Override
    public void setId(String materialNo) {
        this.materialNo = materialNo == null ? null : materialNo.trim();
    }

    public String getMaterialNo() {
        return materialNo;
    }

    public void setMaterialNo(String materialNo) {
        this.materialNo = materialNo == null ? null : materialNo.trim();
    }

    public String getMaterialName() {
        return materialName;
    }

    public void setMaterialName(String materialName) {
        this.materialName = materialName == null ? null : materialName.trim();
    }

    public String getMaterialCode() {
        return materialCode;
    }

    public void setMaterialCode(String materialCode) {
        this.materialCode = materialCode == null ? null : materialCode.trim();
    }

    public String getPikaMaterialName() {
        return pikaMaterialName;
    }

    public void setPikaMaterialName(String pikaMaterialName) {
        this.pikaMaterialName = pikaMaterialName == null ? null : pikaMaterialName.trim();
    }

    public BigDecimal getIsReturnedDust() {
        return isReturnedDust;
    }

    public void setIsReturnedDust(BigDecimal isReturnedDust) {
        this.isReturnedDust = isReturnedDust;
    }

    public Short getIsCoke() {
        return isCoke;
    }

    public void setIsCoke(Short isCoke) {
        this.isCoke = isCoke;
    }

    public String getMemo() {
        return memo;
    }

    public void setMemo(String memo) {
        this.memo = memo == null ? null : memo.trim();
    }

    public String getValidFlag() {
        return validFlag;
    }

    public void setValidFlag(String validFlag) {
        this.validFlag = validFlag == null ? null : validFlag.trim();
    }

    public String getCreateManNo() {
        return createManNo;
    }

    public void setCreateManNo(String createManNo) {
        this.createManNo = createManNo == null ? null : createManNo.trim();
    }

    public String getCreateManName() {
        return createManName;
    }

    public void setCreateManName(String createManName) {
        this.createManName = createManName == null ? null : createManName.trim();
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public String getUpdateManNo() {
        return updateManNo;
    }

    public void setUpdateManNo(String updateManNo) {
        this.updateManNo = updateManNo == null ? null : updateManNo.trim();
    }

    public String getUpdateManName() {
        return updateManName;
    }

    public void setUpdateManName(String updateManName) {
        this.updateManName = updateManName == null ? null : updateManName.trim();
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", materialNo=").append(materialNo);
        sb.append(", materialName=").append(materialName);
        sb.append(", materialCode=").append(materialCode);
        sb.append(", pikaMaterialName=").append(pikaMaterialName);
        sb.append(", isReturnedDust=").append(isReturnedDust);
        sb.append(", isCoke=").append(isCoke);
        sb.append(", memo=").append(memo);
        sb.append(", validFlag=").append(validFlag);
        sb.append(", createManNo=").append(createManNo);
        sb.append(", createManName=").append(createManName);
        sb.append(", createTime=").append(createTime);
        sb.append(", updateManNo=").append(updateManNo);
        sb.append(", updateManName=").append(updateManName);
        sb.append(", updateTime=").append(updateTime);
        sb.append(", serialVersionUID=").append(serialVersionUID);
        sb.append("]");
        return sb.toString();
    }
}